View Issue Details

IDProjectCategoryView StatusLast Update
0009123ScribusStylespublic2019-04-04 14:58
Reportervix Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status confirmedResolutionopen 
Platformi386OSWindows + UbuntuOS Version2000, XP
Product Version1.3.7svn 
Target Version1.6 milestoneFixed in Version 
Summary0009123: delete multiple paragraph styles
Descriptionimpossible to delete multiple paragraph styles
Steps To Reproduce1- create a new document (A4)
2- press F3 key to edit the styles
3- clone the predefined paragraph style into two items (now you have 3 paragraph styles)
4- close the "Style Manager" Window
5- press F3 key again to open the Style Manager Window
6- holding the CTRL key, select 2 styles
7- press "Delete" button
8- in "Delete Styles" Window you should see only 1 item

Note: if you select the styles when the "Edit" pane is visible, you can delete all of them. If you select the styles when it is hidden, you can't delete all of them
TagsNo tags attached.
PatchNo

Relationships

has duplicate 0009423 closedjghali cannot delete more styles at once 

Activities

JLuc

2016-05-03 19:01

developer   ~0040749

I confirm on Ubuntu.

More generaly speaking, deleting more than only one style only happens when the right "Edit" pane of the Style window is open, and doesnt happen when the right "Edit" pane is closed.

Issue is that when the right Edit pane is closed and many styles are selected and "delete" is pressed, then scribus opens the "Edit style" pane focused on the last style, and doing so it unselects the other styles.

When the right Edit pane is closed and "Delete" button is pressed, there is no need to open the right Edit pane and all selected styles should be deleted.

ale

2019-04-04 14:58

manager   ~0046068

so, it's possible to delete multiple styles, but only when the edit pane is visible...

why?

Issue History

Date Modified Username Field Change
2010-05-24 18:53 vix New Issue
2010-10-22 18:06 jghali Relationship added has duplicate 0009423
2016-05-03 19:01 JLuc Note Added: 0040749
2016-05-03 19:01 JLuc Assigned To => JLuc
2016-05-03 19:01 JLuc Status new => confirmed
2016-05-03 19:01 JLuc Assigned To JLuc =>
2016-05-03 19:02 JLuc Patch => No
2016-05-03 19:02 JLuc OS Windows => Windows + Ubuntu
2016-05-17 17:42 Kunda Target Version => 1.6 milestone
2019-04-04 14:58 ale Note Added: 0046068